* chapter8.do
* Chapter 8: Correlation and Regression

use "gss 2002 chapter 8", clear
set seed 123
sample 100, count
twoway (scatter educ paeduc) if sex == 1, ///
   title(Scattergram relating father's education to his son's education, size(medium)) ///
   note(Data source:  GSS 2002) xtitle(Father's education) ///
   ytitle(Son's education)

sunflower educ paeduc if sex == 1

twoway (lfit educ paeduc) (scatter educ paeduc) if sex == 1, ///
   title(Scattergram relating father's education to his son's education, size(medium)) ///
   note(Data source: GSS 2002) xtitle(Father's education) ///
   ytitle(Son's education)

use http://www.ats.ucla.edu/stat/stata/notes/hsb2, clear
codebook ses female
numlabel _all, add
tab1 female ses
correlate read write math science ses female
pwcorr read write math science socst ses female, obs sig star(.05)
pwcorr read write math science socst ses female, bon sig obs star(.05)
pwcorr read write math science socst ses female ///
    if !missing(read, write, math, science, socst, ses, female), ///
    bon sig obs star(.05)

use "gss 2002 chapter 8", clear
summarize prestg80 hrs1
regress prestg80 hrs1, beta
regress prestg80 hrs1
twoway (lfitci prestg80 hrs1), scheme(s2mono)

* Spearman's rho
use spearman, clear
list 

* alpha
use "nlsy97 selected variables", clear
alpha psmoke97 pdrink97 pgang97 pdrug97 pcut97, asis detail ///
	generate(peerprob) item min(4) std

*kappa reliability
use kappa, clear
tab2 coder1 coder2, expected
kap coder1 coder2
